Package org.pushingpixels.substance.api.painter.highlight

# Interface SubstanceHighlightPainter

All Superinterfaces:
  `SubstanceTrait`

All Known Implementing Classes:
  `ClassicHighlightPainter`, `FractionBasedHighlightPainter`, `GlassHighlightPainter`

public interface SubstanceHighlightPainter extends SubstanceTrait
Highlight painter interface for Substance look and feel. This class is part of officially supported API.

Since:
  version 4.3

## Method Summary

Modifier and Type
Method
Description
`void`
`paintHighlight(Graphics2D graphics, Component comp, int width, int height, SubstanceColorScheme colorScheme)`
Paints the highlight.

### Methods inherited from interface org.pushingpixels.substance.api.trait.SubstanceTrait

`getDisplayName`

## Method Details

### paintHighlight

void paintHighlight(Graphics2D graphics, Component comp, int width, int height, SubstanceColorScheme colorScheme)
Paints the highlight.

Parameters:
  `graphics` - Graphics context.
  `comp` - Component.
  `width` - Width.
  `height` - Height.
  `colorScheme` - The color scheme for painting the highlight.